Bug 130249 - Anaconda removes /etc/r5.d/S98postfix
Summary: Anaconda removes /etc/r5.d/S98postfix
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 2
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-18 14:31 UTC by Joachim Backes
Modified: 2014-03-17 02:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 15:29:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Backes 2004-08-18 14:31:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
In FC1, I had installed postfix from a tarball, not by RPM. I made an own
startscript for postfix in /etc/rc5.d. When upgrading to FC2, the
/etc/rc5.d entry for postfix was removed for unknown reasons.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install postfix tarball in FC1, make an /etc/rc5.d entry
2.Upgrade to FC2

    

Actual Results:  /etc/rc5.d/*postfix will be removed.

Expected Results:  etc/rc5.d/*postfix will be preserved

Additional info:

Comment 1 Thomas Woerner 2004-08-19 11:16:32 UTC
Are you installing the postfix rpm?

Comment 2 Joachim Backes 2004-08-19 11:57:16 UTC
No - by a tarball

Comment 3 Joachim Backes 2004-08-19 11:58:05 UTC
No - by a tarball

Comment 4 Thomas Woerner 2004-08-19 12:53:15 UTC
Then this is no postfix rpm problem. Assigning to initscripts, because
/etc/rc.d/init.d belongs to initscripts.

Comment 5 Bill Nottingham 2004-08-19 19:19:07 UTC
Was the new postfix RPM installed?

Did you change the layout of /etc/ at all? (make symlinks into
directories, etc.)

Comment 6 Joachim Backes 2004-08-20 04:49:57 UTC
NO! What I made was:

ln -s /etc/init.d/postfix /etc/rc5.d/S98postfix

Comment 7 Bill Nottingham 2004-08-20 16:11:04 UTC
There's nothing in the initscripts that touches files in /etc/rc5.d.

Can you reproduce this at will?

Comment 8 Pekka Savola 2004-10-17 11:06:11 UTC
I don't think the original submitter confirmed whether postfix RPM 
ended up being installed after the upgrade? 

If 'no, it wasn't installed', then I'd start digging at this from 
chkconfig package, i.e., whether it would have been doing some 
clean-up in rcX.d directories...

Comment 9 Matthew Miller 2005-04-26 15:00:25 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.